// pages/main/main.js

import request from '../../utils/request'

Page({

    /**
     * 页面的初始数据
     */
    data: {
        bannerList:[],  //轮播图列表
        newNoticeTitle:''   //滚动显示的公告标题
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad:async function(options) {
        //获取轮播图列表
        let banners = await request('/front/banner')
        // console.log(banners);
        this.setData({
            bannerList:banners
        })

        //获取公告列表
        let result = await request('/front/notificationFront') 
        // console.log(result);
        // 对公告列表按id降序排序(即按发布时间由近到远排序)
        if(result.length == 0){ //如果公告列表长度为0,则显示无公告
            this.setData({
                newNoticeTitle:'暂无公告内容'
            })
        }else if(result.length == 1 && result[0].status == 1){  //如果有一条公告,且状态为1,则展示标题
            this.setData({
                newNoticeTitle:result[0].title
            })
        }else if(result.length == 1 && result[0].status == 0){  //如果有一条公告,且状态为0,则展示无公告
            this.setData({
                newNoticeTitle:'暂无公告内容'
            })
        }
        else{   //超过2条公告时,根据公告id进行降序排序(即根据时间由近到远排序)
            for(let i = 0;i < result.length-1;i++){
                for(let j = 0;j < result.length-1-i;j++){
                    if(result[j].id < result[j+1].id){
                        let temp = result[j]
                        result[j] = result[j+1]
                        result[j+1] = temp
                    }
                }                
            }
            // console.log(result);
            // 遍历重新排序后的列表，取出第一个状态为1的标题,即为最新发布的公告
            for(let i = 0;i < result.length;i++){
                if(result[i].status == 1){
                    this.setData({
                        newNoticeTitle:result[0].title
                    })
                }
                break;
            }            
        }       
    },

    // 跳转到纳溪介绍页面
    toMainIntro() {
        wx.navigateTo({
            url: '/pages/mainIntro/mainIntro',
        })
    },

    //跳转到马村介绍
    toSecondIntro() {
        wx.navigateTo({
            url: '/pages/secondIntro/secondIntro',
        })
    },

    //跳转到景区列表
    toScenicList() {
        wx.navigateTo({
            url: '/pages/scenicList/scenicList',
        })
    },

    //跳转到公告页面
    toNotice(){
        wx.navigateTo({
            url: '/pages/notice/notice',
        })
    },

    // 跳转到推荐美食
    toRecommendFood(){
        wx.navigateTo({
            url: '/pages/recommendFood/recommendFood',
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})